[arch-commits] Commit in e2fsprogs/repos (3 files)

Ronald van Haren ronald at archlinux.org
Sun Apr 26 16:36:21 EDT 2009


    Date: Sunday, April 26, 2009 @ 16:36:21
  Author: ronald
Revision: 36650

Merged revisions 36648 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/e2fsprogs/trunk

........
  r36648 | ronald | 2009-04-26 22:29:20 +0200 (Sun, 26 Apr 2009) | 2 lines
  
  upgpkg: e2fsprogs 1.41.5-2
      check for texinfo in install scriplet
........

Modified:
  e2fsprogs/repos/testing-i686/	(properties)
  e2fsprogs/repos/testing-i686/PKGBUILD
  e2fsprogs/repos/testing-i686/e2fsprogs.install

-------------------+
 PKGBUILD          |    2 +-
 e2fsprogs.install |   23 +++++++++++------------
 2 files changed, 12 insertions(+), 13 deletions(-)


Property changes on: e2fsprogs/repos/testing-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /e2fsprogs/trunk:1-36533
   + /e2fsprogs/trunk:1-36649

Modified: testing-i686/PKGBUILD
===================================================================
--- testing-i686/PKGBUILD	2009-04-26 20:30:21 UTC (rev 36649)
+++ testing-i686/PKGBUILD	2009-04-26 20:36:21 UTC (rev 36650)
@@ -4,7 +4,7 @@
 
 pkgname=e2fsprogs
 pkgver=1.41.5
-pkgrel=1
+pkgrel=2
 pkgdesc="Ext2/3/4 filesystem utilities"
 arch=('i686' 'x86_64')
 license=('GPL' 'LGPL' 'MIT' 'BSD')

Modified: testing-i686/e2fsprogs.install
===================================================================
--- testing-i686/e2fsprogs.install	2009-04-26 20:30:21 UTC (rev 36649)
+++ testing-i686/e2fsprogs.install	2009-04-26 20:36:21 UTC (rev 36650)
@@ -1,21 +1,20 @@
- infodir=/usr/share/info
-  filelist=(libext2fs.info.gz)
+infodir=/usr/share/info
+filelist=(libext2fs.info.gz)
 
-  post_install() {
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
   for file in ${filelist[@]}; do
     install-info $infodir/$file $infodir/dir 2> /dev/null
   done
+}
 
-  }
+post_upgrade() {
+  post_install $1
+}
 
-  post_upgrade() {
-    post_install $1
-  }
-
-  pre_remove() {
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
   for file in ${filelist[@]}; do
     install-info --delete $infodir/$file $infodir/dir 2> /dev/null
   done
-
-  }
-
+}



More information about the arch-commits mailing list